Bug 132618 - The diagram Items with numbers 2 has an error
Summary: The diagram Items with numbers 2 has an error
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:7.0.0 target:7.1.0 target:7.0.0.1
Keywords:
Depends on:
Blocks: Gallery
  Show dependency treegraph
 
Reported: 2020-05-02 20:24 UTC by BogdanB
Modified: 2022-12-05 09:10 UTC (History)
6 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
the 6 missing (103.05 KB, image/png)
2020-05-02 20:27 UTC, BogdanB
Details
the bug still here (361.67 KB, image/png)
2020-05-14 04:08 UTC, BogdanB
Details
the bug still there (295.40 KB, image/png)
2020-06-24 17:29 UTC, BogdanB
Details

Note You need to log in before you can comment on or make changes to this bug.
Description BogdanB 2020-05-02 20:24:00 UTC
Description:
In the diagram "Items with numbers 2" there should be 1, 2, 3, 4, 5, 6, but there are 2 of 3, and none of 6.

Steps to Reproduce:
1. Open Writer and open Gallery
2. Insert the diagram mentioned above
3. NR. 6 missing

Actual Results:
A 3 is instead of a 6

Expected Results:
6 is there


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.0.0.0.alpha0+
Build ID: 05b87ae66ebccd06995cf530b860443ad9503b31
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI-Language: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-02_10:14:58
Calc: threaded
Comment 1 BogdanB 2020-05-02 20:27:40 UTC
Created attachment 160250 [details]
the 6 missing
Comment 2 Julien Nabet 2020-05-02 20:42:28 UTC
On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 andreas_k 2020-05-02 20:49:41 UTC
thanks for the feedback will update the gallery.
Comment 4 Commit Notification 2020-05-06 22:02:39 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/d103685fe8cf815dae0d0ec59232c0c331591b27

tdf#132618 Diagramm gallery fix number

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 BogdanB 2020-05-14 04:08:04 UTC
Created attachment 160795 [details]
the bug still here

Not yet solved.

Tested on
Version: 7.0.0.0.alpha1+
Build ID: 47c81498c63ae71a351f43ec2f073ba92d99fc1d
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3; 
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-05-13_06:53:25
Calc: threaded
Comment 6 BogdanB 2020-05-15 14:57:46 UTC
Not solved.

Verified with a newer version of 7.0
Version: 7.0.0.0.alpha1+ (x64)
Build ID: 30356cdb3581bc9e9118ef3dd2f3162d9256c3b6
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win; 
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 7 Commit Notification 2020-06-06 10:31:47 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/90580416dd96fc19f78057a14a1459f84eb50180

tdf#132618 Diagram gallery number fix

It will be available in 7.1.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 Commit Notification 2020-06-06 17:59:01 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-7-0":

https://git.libreoffice.org/core/commit/d629cc391f791bf9799bbdca837c7c2d4f0b1acd

tdf#132618 Diagram gallery number fix

It will be available in 7.0.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 BogdanB 2020-06-24 17:28:53 UTC
NOT SOLVED
See the image

Version: 7.1.0.0.alpha0+
Build ID: e69f547bce7de376a0af464c5f7af5e7d2c8784a
CPU threads: 4; OS: Linux 5.4; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-23_15:52:52
Calc: threaded
Comment 10 BogdanB 2020-06-24 17:29:35 UTC
Created attachment 162382 [details]
the bug still there

You can see 2 of "3" there...
Comment 11 BogdanB 2020-06-24 17:29:57 UTC Comment hidden (obsolete)
Comment 12 BogdanB 2020-08-09 17:52:43 UTC Comment hidden (obsolete)
Comment 13 Julien Nabet 2020-08-09 18:22:50 UTC
On pc Debian x86-64 with master sources updated today, I could still reproduce this too.
Comment 14 BogdanB 2020-12-21 17:35:48 UTC Comment hidden (obsolete)
Comment 15 BogdanB 2021-08-25 07:24:46 UTC
Andreas Keinz, could you please change that diagram number?

REPRO
Version: 7.2.0.4 (x64) / LibreOffice Community
Build ID: 9a9c6381e3f7a62afc1329bd359cc48accb6435b
CPU threads: 4; OS: Windows 10.0 Build 19043; UI render: Skia/Raster; VCL: win
Locale: ro-RO (ro_RO); UI: en-US
Calc: threaded
Comment 16 BogdanB 2022-01-21 02:02:13 UTC
The same.
Retested with
Version: 7.3.1.0.0+ / LibreOffice Community
Build ID: 216ad305810d1d36cf5874fd9842111d426899a8
CPU threads: 4; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 17 BogdanB 2022-05-07 03:52:55 UTC
Still here in
Version: 7.4.0.0.alpha0+ / LibreOffice Community
Build ID: 08c979e235aa993f50e54224f8c715bb70697c33
CPU threads: 16; OS: Linux 5.13; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded
Comment 18 BogdanB 2022-12-04 07:19:36 UTC
I tried to fix this bug by myself, but I can't open .sdg files.

If I searched for this file, I get this address for the file:
---
git grep 'Items-with-Numbers-2'
Binary file extras/source/gallery/gallery_system/diagrams.sdg matches
---

The previous commit to this bug were made in extras/source/gallery/gallery_mytheme/diagrams.sdg

So, it seems the file is in gallery_system.

Andreas, if you have the software to edit this, could you please take a look?
Comment 19 Heiko Tietze 2022-12-05 09:10:36 UTC
(In reply to BogdanB from comment #18)
> I tried to fix this bug by myself, but I can't open .sdg files.

Create your own Gallery, copy/paste and move the objects into this Gallery, and eventually submit it as a replacement to the standard. The user space for Gallery content under Linux is .config/libreoffice/4/user/gallery/.